Subject: Re: my git problem

From: Andrew Morton <[email-masked]>
Date: Mon, 28 Apr 2008 12:09:17 -0700

On Mon, 28 Apr 2008 19:49:28 +0100 (BST) Johannes Schindelin <[email-masked]> wrote:

> Hi,
> 
> On Mon, 28 Apr 2008, Andrew Morton wrote:
> 
> > hm, weirdness.
> > 
> > y:/usr/src/git26> git-diff origin...git-ia64   
> > y:/usr/src/git26> git-log origin...git-ia64 | wc -l
> > 15574
> > 
> > I'd have expected git-log to operate on the same patches as git-diff.
> > 
> > I'm sure there's a logical explanation for this ;)
> 
> Yes.  git-diff with "..." will show you the diff of git-ia64 since the 
> branch point, whereas log will show you _all_ the logs (both in origin and 
> in git-ia64) since the branch point.
> 

That's missing the "logical" bit :)

Oh well.  Can you suggest how I can extract the changelogs for the patches
which `git-diff origin...git-ia64' will print out?

Thanks.